package com.xhkjedu.sexam.controller.report;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.sexam.model.report.ERbase;
import com.xhkjedu.sexam.model.reportstu.ERstudent;
import com.xhkjedu.sexam.service.report.EReportSchoolService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @className ReportSchoolController
 * @description 校级报告
 * @date 2022/8/8 9:37
 **/
@RestController
@RequestMapping("ers")
public class EReportSchoolController {
    @Resource
    private EReportSchoolService eReportSchoolService;

    /**
     * 考试概况
     *
     * @return com.xhkjedu.vo.ResultVo
     * @Param [rbase]
     * @Author ywx
     * @Date 2022/8/25 9:20
     **/
    @PostMapping("/get_ksgk")
    public ResultVo getKsGk(@RequestBody ERbase rbase) {
        Integer examid = rbase.getExamid();
        N_Utils.validation(new Object[]{examid, "考试id", 1});
        Map map = eReportSchoolService.getKsGk(examid);
        return new ResultVo(0, "获取成功", map);
    }

    /**
     * 成绩单
     *
     * @return com.xhkjedu.vo.ResultVo
     * @Param [stu]
     * @Author ywx
     * @Date 2022/8/25 9:36
     **/
    @PostMapping("/list_cjd")
    public ResultVo listCjd(@RequestBody ERstudent stu) {
        Integer examid = stu.getExamid();
        Integer page = stu.getPage();
        Integer pageSize = stu.getPageSize();
        N_Utils.validation(new Object[]{examid, "考试id", 1});
        if (N_Utils.isEmptyInteger(page)) {
            List<Map> list = eReportSchoolService.listCjd(stu);
            return new ResultVo(0, "获取成功", list);
        } else {
            PageHelper.startPage(page, pageSize);
            List<Map> list = eReportSchoolService.listCjd(stu);
            PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
            return new ResultVo(0, "获取成功", pageResult);
        }
    }
}
